Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1284779 (python-baker)

Summary: Review Request: python-baker - Easy, powerful access to Python functions from the command line
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-09 20:51:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1276941    

Description Igor Gnatenko 2015-11-24 08:36:44 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-baker.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-baker-1.3-1.git408295259ae5.fc24.src.rpm
Description:
Baker lets you easily add a command line interface to your Python functions
using a simple decorator, to create scripts with "sub-commands", similar to
Django's 'manage.py', 'svn', 'hg', etc.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-26 21:19:42 UTC
- license is OK
- license file is not present, but upstream has been bugged
- new python packaging style is used
- requires/provides are correct
- check is present

Nice! Package is APPROVED.

Comment 2 Till Maas 2015-11-29 15:19:56 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-baker

Comment 3 Fedora Update System 2015-11-29 16:07:08 UTC
python-baker-1.3-1.git408295259ae5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a348caae20

Comment 4 Fedora Update System 2015-11-29 23:52:33 UTC
python-baker-1.3-1.git408295259ae5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-baker'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a348caae20

Comment 5 Fedora Update System 2015-12-09 20:51:15 UTC
python-baker-1.3-1.git408295259ae5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.